﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
            
        }

        


        private void grid1_RecordUpdating(object sender, Infragistics.Windows.DataPresenter.Events.RecordUpdatingEventArgs e)
        {           
            e.Action = RecordUpdatingAction.CancelUpdateDiscardChanges;
            msgBlk.Text = "Update canceled";
            e.Handled = true;
            // save the current active cell since we are navigating away from it
            var activeCell = grid1.ActiveCell;

            // use dispatcher to reset the active cell and start edit mode after all other 
            // actions are completed
            this.Dispatcher.BeginInvoke(new Action(()=>
                {
                    grid1.ActiveCell = activeCell;
                    grid1.ExecuteCommand(DataPresenterCommands.StartEditMode);
                }));

            
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            ViewModel vm = ((Button)sender).DataContext as ViewModel;
            foreach (Customer cust in vm.Customers)
            {
            }
        }
    }
}
